Mail API reference

Mail API · Contacts

get/v1/workspaces/{workspace_id}/contact-properties/{property_id}Auth

Get a contact property

Path parameters

workspace_id*string · uuid

Id of the workspace.

property_id*string · uuid

Id of the property.

Response · 200

id*string · uuid

The property id.

key*string

The key used in contact `properties` and as `{{key}}` in templates.

Example: "company"

type*object

The value type: `string` or `number`.

fallback_value*object

Value used for a contact that has no value for this property; null for none.

created_at*string · date-time

When the property was created.

updated_at*string · date-time

When the property was last changed.

Example

Request

GET https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/contact-properties/{property_id}
Authorization: Bearer YOUR_TOKEN

Response

{
  "id": "00000000-0000-0000-0000-000000000000",
  "key": "company",
  "type": {},
  "fallback_value": {},
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}